Bug 1652954 - Upgrade collectd to 5.8.1
Summary: Upgrade collectd to 5.8.1
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: collectd
Version: 4.3.0
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ovirt-4.3.0
: ---
Assignee: Sandro Bonazzola
QA Contact: Pavel Novotny
URL:
Whiteboard:
Depends On:
Blocks: 1657357
TreeView+ depends on / blocked
 
Reported: 2018-11-23 16:49 UTC by Sandro Bonazzola
Modified: 2020-02-20 13:19 UTC (History)
5 users (show)

Fixed In Version: collectd-5.8.1-2.el7
Doc Type: Rebase: Bug Fixes and Enhancements
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-05-08 12:31:16 UTC
oVirt Team: Integration
Target Upstream Version:


Attachments (Terms of Use)
Disabling some plugins due to missing requirements (2.59 KB, patch)
2018-11-27 11:06 UTC, Sandro Bonazzola
mrunge: review-
Details | Diff
re-disabling kafka plugin after rebase to rdo 5.8.1 (911 bytes, patch)
2018-11-27 11:07 UTC, Sandro Bonazzola
mrunge: review-
Details | Diff
Disable amqp1 at configure time (forgot in previous patches) (706 bytes, patch)
2018-11-27 11:08 UTC, Sandro Bonazzola
mrunge: review-
Details | Diff


Links
System ID Private Priority Status Summary Last Updated
RDO 17524 0 None None None 2018-11-27 12:23:43 UTC
Red Hat Bugzilla 1644274 0 high CLOSED Rebase to collectd 5.8.1 2021-02-22 00:41:40 UTC
Red Hat Product Errata RHEA-2019:1042 0 None None None 2019-05-08 12:31:20 UTC

Internal Links: 1644274

Description Sandro Bonazzola 2018-11-23 16:49:16 UTC
Rebase on upstream 5.8.1.
CentOS OpsTool SIG already rebased: http://cbs.centos.org/koji/buildinfo?buildID=24468 and available for testing

Comment 1 Sandro Bonazzola 2018-11-27 11:05:56 UTC
Compared to CentOS OpsTool SIG I had to do some modifications.
Attaching patches.

Comment 2 Sandro Bonazzola 2018-11-27 11:06:52 UTC
Created attachment 1508798 [details]
Disabling some plugins due to missing requirements

Comment 3 Sandro Bonazzola 2018-11-27 11:07:59 UTC
Created attachment 1508799 [details]
re-disabling kafka plugin after rebase to rdo 5.8.1

Comment 4 Sandro Bonazzola 2018-11-27 11:08:49 UTC
Created attachment 1508800 [details]
Disable amqp1 at configure time (forgot in previous patches)

Comment 7 Sandro Bonazzola 2018-11-27 12:38:52 UTC
Comment on attachment 1508799 [details]
re-disabling kafka plugin after rebase to rdo 5.8.1

Reverted this, using https://review.rdoproject.org/r/17524 instead

Comment 8 Sandro Bonazzola 2018-11-27 12:40:02 UTC
Waiting on RCM before reverting the remaining patches.

Comment 9 Sandro Bonazzola 2018-12-18 13:49:46 UTC
Aligned with RDO 5.8.1-2

Comment 11 Sandro Bonazzola 2019-02-12 07:47:27 UTC
Anything blocking this bugfix verification?

Comment 12 Pavel Novotny 2019-02-22 17:49:39 UTC
Verified with
collectd-notify_email-5.8.1-3.el7ost.x86_64
collectd-write_syslog-5.8.1-3.el7ost.x86_64
collectd-write_http-5.8.1-3.el7ost.x86_64
collectd-5.8.1-3.el7ost.x86_64
collectd-turbostat-5.8.1-3.el7ost.x86_64
collectd-smart-5.8.1-3.el7ost.x86_64
collectd-apache-5.8.1-3.el7ost.x86_64
collectd-snmp-5.8.1-3.el7ost.x86_64
collectd-rrdcached-5.8.1-3.el7ost.x86_64
collectd-java-5.8.1-3.el7ost.x86_64
collectd-dbi-5.8.1-3.el7ost.x86_64
libcollectdclient-5.8.1-3.el7ost.x86_64
collectd-openldap-5.8.1-3.el7ost.x86_64
collectd-chrony-5.8.1-3.el7ost.x86_64
collectd-ipvs-5.8.1-3.el7ost.x86_64
collectd-generic-jmx-5.8.1-3.el7ost.x86_64
collectd-mysql-5.8.1-3.el7ost.x86_64
collectd-iptables-5.8.1-3.el7ost.x86_64
collectd-utils-5.8.1-3.el7ost.x86_64
collectd-hugepages-5.8.1-3.el7ost.x86_64
collectd-ipmi-5.8.1-3.el7ost.x86_64
collectd-netlink-5.8.1-3.el7ost.x86_64
libcollectdclient-devel-5.8.1-3.el7ost.x86_64
collectd-curl_json-5.8.1-3.el7ost.x86_64
collectd-drbd-5.8.1-3.el7ost.x86_64
collectd-curl-5.8.1-3.el7ost.x86_64
collectd-sensors-5.8.1-3.el7ost.x86_64
collectd-ping-5.8.1-3.el7ost.x86_64
collectd-dns-5.8.1-3.el7ost.x86_64
collectd-postgresql-5.8.1-3.el7ost.x86_64
collectd-rrdtool-5.8.1-3.el7ost.x86_64
collectd-write_tsdb-5.8.1-3.el7ost.x86_64
collectd-write_sensu-5.8.1-3.el7ost.x86_64
collectd-ascent-5.8.1-3.el7ost.x86_64
collectd-zookeeper-5.8.1-3.el7ost.x86_64
collectd-log_logstash-5.8.1-3.el7ost.x86_64
collectd-disk-5.8.1-3.el7ost.x86_64
collectd-nginx-5.8.1-3.el7ost.x86_64
collectd-email-5.8.1-3.el7ost.x86_64
collectd-virt-5.8.1-3.el7ost.x86_64
collectd-ceph-5.8.1-3.el7ost.x86_64
collectd-bind-5.8.1-3.el7ost.x86_64
collectd-curl_xml-5.8.1-3.el7ost.x86_64

All builds are attached to the erratum and installation test passed.

Comment 14 errata-xmlrpc 2019-05-08 12:31:16 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHEA-2019:1042


Note You need to log in before you can comment on or make changes to this bug.